EDIT - task #3603

Remove creation of dummy DefinedTerm when creating new Term related entities

07/11/2013 11:03 AM - Cherian Mathew

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.6

Severity: normal

Description

When new Term related entities are created within the Editor, a dummy Defined Term is created. Currently this problem affects,

® Scope section of the DetailsViewer for a Description

¢ ScopeRestrictedSection of the DetailsViewer for a Polytomous Key not enabled

e ModifierSection

¢ ModifierEditorlnput used as the input object for modifier term editor

It needs to be investigated why this dummy defined term is created and potentially remove it, since terms should not be created

automatically.

see also #5280

Associated revisions

Revision 9dfd3706 - 02/20/2017 06:20 PM - Patrick Plitzner

fix #3603 Avoid creation of dummy DefinedTerm

History

#1 - 07/24/2013 11:01 AM - Cherian Mathew

- Status changed from New to In Progress

Dummy creation now removed . Define Terms are now created with specific TermTypes.

#2 - 01/14/2014 01:41 PM - Cherian Mathew
- Status changed from In Progress to Resolved

- Assignee changed from c.mathew - to Andreas Miiller

- Target version changed from TaxEditor COM 3.3 to TaxEditor RELEASE 3.3.0

#3 - 01/15/2014 09:13 PM - Andreas Miiller
- Assignee changed from Andreas Miller to c.mathew -

- Target version deleted (TaxEditor RELEASE 3.3.0)

Scope section of the DetailsViewer for a Description

When | try to create ANY scope here | always get a red screen. So there is still something wrong

didn't test 3 and 4 (where are these to be found in the Editor) and 2 (because not available)

#4 - 03/28/2014 11:11 AM - Andreas Kohlbecker

- Target version deleted ()
https://dev.e-taxonomy.eu/redmine/projects/edit/wiki/Currently

no release 3.3.1 of the taxeditor so | am moving all tickets to the next milestone 3.3.2

#5 - 11/24/2014 01:29 PM - Cherian Mathew
- Target version deleted (TaxEditor RELEASE 3.4.0)

Moving tickets to 3.4.1 milestone

#6 - 03/16/2015 05:32 PM - Cherian Mathew

- Target version deleted ()

Moving tickets that were auto assigned to me to the unassigned milestone

#7 - 12/02/2015 11:53 AM - Andreas Mdiller

- Assignee changed from c.mathew - to p.plitzner -

Patrick, could you have a look on this.

#8 - 05/24/2016 12:41 PM - Andreas Miiller
- Target version changed from Unassigned CDM tickets to Release 4.1

- Priority changed from New to Priority14

#9 - 02/20/2017 05:36 PM - Patrick Plitzner
- Description updated
- Status changed from Resolved to Closed

- % Done changed from 0 to 100

| could not reproduce any error so | guess this is fixed.

#10 - 02/20/2017 05:38 PM - Patrick Plitzner
- Status changed from Closed to In Progress

- Target version changed from Release 4.1 to Release 4.6

Reopened because although there are no errors dummy terms are still created

#11 - 02/20/2017 06:20 PM - Patrick Plitzner
- Status changed from In Progress to Resolved

- % Done changed from 100 to 50

Applied in changeset taxeditor|9dfd3706bcc09730a3b64d6b12a264b587c52a2e.

#12 - 02/20/2017 06:20 PM - Patrick Plitzner
- Assignee changed from Patrick Plitzner to Andreas Muiller

- % Done changed from 50 to 100

#13 - 03/01/2017 03:50 PM - Andreas Miiller
- Status changed from Resolved to Closed

- Assignee changed from Andreas Muiller to Patrick Plitzner

Still don't find ModifierSection and ModifierEditorlnput. But for the first 2 (PK scope is enabled now) it works as expected.

So we can close the ticket | think.

#14 - 03/11/2017 10:49 PM - Andreas Miiller

- Private changed from Yes to No
